import gleeunit
import spacetraders_api_httpc
import spacetraders_api_httpc_test/env

pub fn main() -> Nil {
  gleeunit.main()
}

pub fn status_test() {
  let assert Ok(_) = spacetraders_api_httpc.get_server_status()
}

pub fn error_codes_test() {
  let assert Ok(_) = spacetraders_api_httpc.list_error_codes()
}

pub fn account_test() {
  let assert Ok(_) =
    spacetraders_api_httpc.get_account(env.load_env_unsafe().agent_token)
}

pub fn supply_chain_test() {
  let assert Ok(_) = spacetraders_api_httpc.get_supply_chain()
}
